%define	version	0.1.6
%define release	%mkrel 3

Summary:	Library of useful guile modules
Name:		guile-lib
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Other
URL:		http://home.gna.org/guile-lib/
Source:		http://download.gna.org/guile-lib/%{name}-%{version}.tar.gz
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	texinfo
BuildRequires:	guile-devel
Requires:	guile >= 1.6
BuildArch:	noarch

%description
A set of various-purpose library modules for Guile. Covered areas include:

  * Unit testing framework ala JUnit
  * Logging system
  * String routines (wrapping, completion, soundex algorithm)
  * OS process chains (think "shell pipes in scheme")
  * ANSI escape sequence text coloring
  * SRFI-35 (conditions)

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%post
%_install_info guile-library.info

%preun
%_remove_install_info guile-library.info

%files
%defattr(-,root,root)
%doc {AUTHORS,ChangeLog,NEWS,README}
%{_infodir}/*.info*
%{_datadir}/guile/site/*



%changelog
* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.6-3mdv2011.0
+ Revision: 619313
- the mass rebuild of 2010.0 packages

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.1.6-2mdv2010.0
+ Revision: 429347
- rebuild

* Sat Jun 28 2008 Funda Wang <fwang@mandriva.org> 0.1.6-1mdv2009.0
+ Revision: 229644
- BR guile
- New version 0.1.6

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.1.2-1mdv2008.1
+ Revision: 126530
- kill re-definition of %%buildroot on Pixel's request


* Mon Aug 22 2005 Abel Cheung <deaddog@mandriva.org> 0.1.2-1mdk
- First Mandriva package

